Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2010-0135

CVE information

Published

12 years ago

Last Modified

9 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Heap-based buffer overflow in the WordPerfect 5.x reader (wosr.dll), as used in Autonomy KeyView 10.4 and 10.9 and possibly other products, allows remote attackers to execute arbitrary code via unspecified vectors related to "data blocks.".

CVSSv2.0 Score

Severity
High
Base Score
9.3/10
Exploit Score
8.6/10
Access Vector
Network
Access Complexity
Medium
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:autonomy:keyview_filter_sdk:10.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:autonomy:keyview_viewer_sdk:10.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:autonomy:keyview_filter_sdk:10.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:autonomy:keyview_export_sdk:10.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:autonomy:keyview_export_sdk:10.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:autonomy:keyview_viewer_sdk:10.9:*:*:*:*:*:*:*
  Yes
- -